1. Pixverse
梧柏API使用文档
WHBAI · Pixverse
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Pixverse
    • 模板生图
      POST
    • 文生视频
      POST
    • 图生视频
      POST
    • 转场视频
      POST
    • 视频延长
      POST
    • 融合视频
      POST
    • 对口型
      POST
    • 换脸/换人
      POST
    • 动作模仿
      POST
    • 视频修改
      POST
    • 风格重绘
      POST
    • 音效生成
      POST
    • 多段转场
      POST
    • 上传图片
      POST
    • 上传媒体
      POST
    • Mask 选择
      POST
    • 查询视频任务
      GET
    • 查询图片任务
      GET
    • TTS 音色列表
      GET
  • 数据模型
    • PixverseSampleRequest
    • PostOpenapiV2VideoTextGenerateRequest
    • PostOpenapiV2VideoImgGenerateRequest
    • PostOpenapiV2VideoTransitionGenerateRequest
    • PostOpenapiV2VideoExtendGenerateRequest
    • PostOpenapiV2VideoFusionGenerateRequest
    • PostOpenapiV2VideoLipSyncGenerateRequest
    • PostOpenapiV2VideoSwapGenerateRequest
    • PostOpenapiV2VideoMimicGenerateRequest
    • PostOpenapiV2VideoModifyGenerateRequest
    • PostOpenapiV2VideoRestyleGenerateRequest
    • PostOpenapiV2VideoSoundEffectGenerateRequest
    • PostOpenapiV2VideoMultiTransitionGenerateRequest
    • NewApiError
  1. Pixverse

融合视频

POST
/openapi/v2/video/fusion/generate
Pixverse 视频生成;提交后通过 GET /openapi/v2/video/result/{id} 轮询。

网站中的模型与调用示例#

多主体(多参考)生成视频#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aspect_ratio": {
      "description": "1.基础提供 \"16:9\",\"9.16\",\"4:3\",\"3:4\",\"1:1\" 画幅比\n2.v6, c1 额外支持 \"2:3\",\"3:2\",\"21:9\"",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "1.Basically provide \"16:9\", \"9.16\", \"4:3\", \"3:4\", \"1:1\" aspect ratio\n2.v6, c1 additionally supports \"2:3\", \"3:2\", \"21:9\""
        }
      }
    },
    "duration": {
      "description": "视频生成时长\nv4.5 : 5/8 (v3.5 1080p 无法使用 8)\nv5 : 5/8\nv5.5/5.6 : 5/8/10 (1080p 无法使用 10)",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Video generation duration\nv4.5 : 5/8 (v3.5 1080p cannot be used 8)\nv5: 5/8\nv5.5/5.6 : 5/8/10 (1080p not available 10)"
        }
      }
    },
    "generate_audio_switch": {
      "description": "支持v5.6,v6, c1 / 控制开关Audio. true: Audio on , false: Audio off",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Support v5.6, v6, c1 / control switch Audio. true: Audio on, false: Audio off"
        }
      }
    },
    "image_references": {
      "description": "图像引用数组(1–3 项),包含“主体”或“背景”\nv4.5/v5 : 最多3张\nv5.5/v5.6/v6 : 最多7张",
      "items": {
        "properties": {
          "img_id": {
            "description": "img_id 来自上传图片接口",
            "type": "integer",
            "x-i18n": {
              "en-US": {
                "description": "img_id comes from the upload image interface"
              }
            }
          },
          "ref_name": {
            "description": "可针对图片指定名字, 用来更精准效果. 只允许~30byte (utf-8 )文字",
            "type": "string",
            "x-i18n": {
              "en-US": {
                "description": "You can specify a name for the image for more precise effects. Only ~30byte (utf-8) text is allowed"
              }
            }
          },
          "type": {
            "description": "\"subject\" or \"background\"",
            "type": "string"
          }
        },
        "required": [
          "img_id"
        ],
        "type": "object"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Array of image references (1–3 items) containing \"body\" or \"background\"\nv4.5/v5: Up to 3 pictures\nv5.5/v5.6/v6: up to 7 pictures"
        }
      }
    },
    "model": {
      "description": "\"v4.5\",\"v5\",\"v5.5\",\"v5.6\",,\"v6\", \"c1\"",
      "type": "string"
    },
    "prompt": {
      "description": "使用 @ref_name 精确描述场景\n1.\n@ref_name 后必须有空格,如 @cat plays\n2.\nprompt 中引用的名称必须与 image_references 中的 ref_name 完全一致",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Use @ref_name to describe the scene accurately\n1.\nThere must be a space after @ref_name, such as @cat plays\n2.\nThe name referenced in prompt must exactly match the ref_name in image_references"
        }
      }
    },
    "quality": {
      "description": "\"360p\",\"540p\",\"720p\",\"1080p\"",
      "type": "string"
    },
    "seed": {
      "type": "integer"
    }
  },
  "required": [
    "image_references",
    "prompt",
    "model",
    "duration",
    "quality",
    "aspect_ratio"
  ]
}

请求示例 · 示例 1#

{
  "aspect_ratio": "16:9",
  "duration": 5,
  "image_references": [
    {
      "img_id": 0,
      "ref_name": "dog",
      "type": "subject"
    },
    {
      "img_id": 0,
      "ref_name": "room",
      "type": "background"
    }
  ],
  "model": "v5.6",
  "prompt": "@dog plays at @room",
  "quality": "720p",
  "seed": 123456789
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "model": "v5.5",
    "prompt": "A cat running on grass",
    "duration": 5,
    "quality": "720p",
    "aspect_ratio": "16:9"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/openapi/v2/video/fusion/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "v5.5",
    "prompt": "A cat running on grass",
    "duration": 5,
    "quality": "720p",
    "aspect_ratio": "16:9"
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "ErrCode": 0,
    "ErrMsg": "success",
    "RespData": {
        "id": 123456
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:15
上一页
视频延长
下一页
对口型
Built with